## org.apache.mahout.ga.watchmaker.cd.tool
Class ToolCombiner

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>
          org.apache.mahout.ga.watchmaker.cd.tool.ToolCombiner

    public class ToolCombiner

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>

Combines attribute values into a String.

- For Numerical attributes, the string contains the min and max values found.
- For Categorical attributes, the string contains the distinct values found.

See Descriptors, for more informations about the job parameter

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`ToolCombiner()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.LongWritable key, Iterable<org.apache.hadoop.io.Text> values, org.apache.hadoop.mapreduce.Reducer.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolCombiner

    public ToolCombiner()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.LongWritable key,
                          Iterable<org.apache.hadoop.io.Text> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>`
  Throws:
    `IOException`
    `InterruptedException`

### setup

    protected void setup(org.apache.hadoop.mapreduce.Reducer.Context context)
                  throws IOException,
                         InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.